Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
QwtArraySeriesData< T > Class Template Reference

`#include <qwt_series_data.h>`

Inheritance diagram for QwtArraySeriesData< T >:
[legend]

List of all members.

## Public Member Functions

| QwtArraySeriesData ()
| QwtArraySeriesData (const QVector< T > &samples)
virtual T | sample (size_t index) const
const QVector< T > | samples () const
void | setSamples (const QVector< T > &samples)
virtual size_t | size () const
Public Member Functions inherited from QwtSeriesData< T >
| QwtSeriesData ()
virtual | ~QwtSeriesData ()
virtual QRectF | boundingRect () const =0
virtual void | setRectOfInterest (const QRectF &rect)

## Protected Attributes

QVector< T > | d_samples
Protected Attributes inherited from QwtSeriesData< T >
QRectF | d_boundingRect

## Detailed Description

### template<typename T>
class QwtArraySeriesData< T >

Template class for data, that is organized as QVector.

QVector uses implicit data sharing and can be passed around as argument efficiently.

## Constructor & Destructor Documentation

template<typename T>

QwtArraySeriesData< T >::QwtArraySeriesData | ( | const QVector< T > & | samples | ) |

Constructor

Parameters:

  samples | Array of samples

## Member Function Documentation

template<typename T >

T QwtArraySeriesData< T >::sample | ( | size_t | index | ) | const

virtual

Returns:
  Sample at a specific position

Parameters:

  index | Index

Returns:
  Sample at position i

Implements QwtSeriesData< T >.

template<typename T >

const QVector< T > QwtArraySeriesData< T >::samples | ( |  | ) | const

Returns:
  Array of samples

template<typename T>

void QwtArraySeriesData< T >::setSamples | ( | const QVector< T > & | samples | ) |

Assign an array of samples

Parameters:

  samples | Array of samples

template<typename T >

size_t QwtArraySeriesData< T >::size | ( |  | ) | const

virtual

Returns:
  Number of samples

Implements QwtSeriesData< T >.